Subject: Re: [pcp] WGLC: draft-ietf-pcp-server-selection-02.txt comments due by FEB 21

From: "Prashanth Patil (praspati)" <[email-masked]>
Date: Tue, 4 Mar 2014 07:12:09 +0000

Hi Dave,
Thanks for the review. Attached, replies to your inline comments. The doc
is a little askew after conversion.

-Prashanth

On 2/25/14 3:26 AM, "Dave Thaler" <[email-masked]> wrote:

>My comments are in the marked up copy at
>http://research.microsoft.com/~dthaler/draft-ietf-pcp-server-selection-02.
>pdf
>Much of it is editorial-only.  A summary of the top technical feedback is
>below.
>
>1) Relationship to RFC 6724 is confusing.  For a given server should be
>     I) Construct set of *Candidate* Source Addresses based on app input
>and
>         constraints in the PCP base spec (e.g., for a PEER it should
>just contain the
>         app session's source address).
>     II) Sort list of destination addresses per RFC 6724 section 6
>
>2) Should provide more guidance about when to use one vs multiple servers.
>     I believe the best answer is that by default, the client needs to
>use all PCP
>     servers that configure firewalls (i.e. external IP == internal IP in
>mapping).
>     When NATs are involved, then it is implementation specific... if the
>app can
>     deal with multiple IPs then it can use multiple servers that return
>different
>     external IPs.
>
>-Dave
>
>> -----Original Message-----
>> From: pcp [mailto:[email-masked]] On Behalf Of Dave Thaler
>> Sent: Friday, February 7, 2014 6:35 PM
>> To: [email-masked]
>> Subject: [pcp] WGLC: draft-ietf-pcp-server-selection-02.txt comments due
>> by FEB 21
>> 
>> This email initiates a two-week Working Group Last Call on
>> draft-ietf-pcp-server-selection-02 to conclude on Friday, February 21st.
>> Please send comments to the list.
>> 
>> As a reminder, when responding to a WGLC, what we chairs are looking
>>for is
>> a statement about document quality (not really about whether the
>> mechanism should move forward).  That is, state whether you think the
>> document is ready as is, or if not, what issues you see.
>> 
>> Thanks,
>> -Dave
>> 
>> > -----Original Message-----
>> > From: pcp [mailto:[email-masked]] On Behalf Of Prashanth Patil
>> > (praspati)
>> > Sent: Monday, January 6, 2014 8:52 AM
>> > To: [email-masked]
>> > Subject: Re: [pcp] I-D Action: draft-ietf-pcp-server-selection-02.txt
>> >
>> > Folks,
>> > Revised PCP server selection draft has been published. The update
>> > addresses comments received from Dave Thaler and the ones at IETF 88.
>> >
>> > -Prashanth
>> >
>> >
>> > On 1/6/14 10:19 PM, "[email-masked]"
>> > <[email-masked]>
>> > wrote:
>> >
>> > >
>> > >A New Internet-Draft is available from the on-line Internet-Drafts
>> > >directories.
>> > > This draft is a work item of the Port Control Protocol Working Group
>> > >of the IETF.
>> > >
>> > >        Title           : PCP Server Selection
>> > >        Authors         : Mohamed Boucadair
>> > >                          Reinaldo Penno
>> > >                          Dan Wing
>> > >                          Prashanth Patil
>> > >                          Tirumaleswar Reddy
>> > >	Filename        : draft-ietf-pcp-server-selection-02.txt
>> > >	Pages           : 11
>> > >	Date            : 2014-01-06
>> > >
>> > >Abstract:
>> > >   Multiple IP addresses may be configured on a PCP client in some
>> > >   deployment contexts such as multi-homing.  This document specifies
>> > >   the behavior to be followed by the PCP client to contact its PCP
>> > >   server(s) when one or several PCP server IP addresses are
>>configured.
>> > >
>> > >   This document updates RFC6887.
>> > >
>> > >
>> > >
>> > >The IETF datatracker status page for this draft is:
>> > >https://datatracker.ietf.org/doc/draft-ietf-pcp-server-selection/
>> > >
>> > >There's also a htmlized version available at:
>> > >http://tools.ietf.org/html/draft-ietf-pcp-server-selection-02
>> > >
>> > >A diff from the previous version is available at:
>> > >http://www.ietf.org/rfcdiff?url2=draft-ietf-pcp-server-selection-02
>> > >
>> > >
>> > >Please note that it may take a couple of minutes from the time of
>> > >submission until the htmlized version and diff are available at
>> > >tools.ietf.org.
>> > >
>> > >Internet-Drafts are also available by anonymous FTP at:
>> > >ftp://ftp.ietf.org/internet-drafts/
>> > >
>> > >_______________________________________________
>> > >pcp mailing list
>> > >[email-masked]
>> > >https://www.ietf.org/mailman/listinfo/pcp
>> >
>> > _______________________________________________
>> > pcp mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/pcp
>> _______________________________________________
>> pcp mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/pcp
>
>_______________________________________________
>pcp mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/pcp

---

From: Simon Perreault <[email-masked]>
Date: Tue, 04 Mar 2014 09:30:39 +0000

Le 2014-03-04 07:12, Prashanth Patil (praspati) a écrit :
> The doc is a little askew after conversion.

Aaaargh... This won't scale, guys.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca